libetonyek::IWORKBrContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libetonyek::IWORKBrContext Class Reference

`#include <IWORKBrContext.h>`

Inheritance diagram for libetonyek::IWORKBrContext:

## Public Member Functions
| IWORKBrContext (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | endOfElement () override
| Signalize the end of an element.

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKBrContext()

libetonyek::IWORKBrContext::IWORKBrContext | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ endOfElement()

void libetonyek::IWORKBrContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

The documentation for this class was generated from the following files:

- IWORKBrContext.h
- IWORKBrContext.cpp